cls
	rem                 *******************************
	rem                 *** Install Lightpen driver ***
	rem                 *******************************

:pxl-385
	Cls
	Echo Initializing Lightpen for Digivote I ... Please wait ...

	Copy A:\PXLBIOS1.DTA A:\PXLBIOS1.NUL   > NUL
	A:\PXL-BIOS @A:\PXLBIOS1.DTA j6 p5 f0 > A:\PXL-BIOS.NUL
	Copy A:\PXL-BIOS.NUL A:\PXL-385.NUL   > NUL
	A:\Test -pxl A:\PXL-385.NUL
	if errorlevel == 255 goto remove1
	if errorlevel ==   2 goto remove1
	if errorlevel ==   1 goto mavcont2

:remove1
	A:\PXL-BIOS D                                 > NUL
        Copy A:\PXLBIOS1.NUL A:\PXLBIOS1.DTA   > NUL

:pxl-395
	Cls
	Echo Initializing Lightpen for Digivote II ... Please wait ...

	Copy A:\PXLBIOS2.DTA A:\PXLBIOS2.NUL   > NUL
	A:\PXL-BIOS @A:PXLBIOS2.DTA j6 p5 f0 > A:\PXL-BIOS.NUL
	Copy A:\PXL-BIOS.NUL A:\PXL-395.NUL    > NUL
	A:\Test -pxl A:\PXL-395.NUL
	if errorlevel == 255 goto remove2
	if errorlevel ==   2 goto mavcont2
	if errorlevel ==   1 goto remove2

:remove2
	A:\PXL-BIOS D                                 > NUL
        Copy A:\PXLBIOS2.NUL A:\PXLBIOS2.DTA   > NUL

:pxl-2c
	Cls
	Echo Initializing Lightpen for Digivote IIc ... Please wait ...

	Copy A:\PXLBIOS3.DTA A:\PXLBIOS3.NUL   > NUL
	A:\PXL-BIOS @A:\PXLBIOS3.DTA j6 p5 f0  > A:\PXL-BIOS.NUL
	Copy A:\PXL-BIOS.NUL A:\PXL-2c.NUL    > NUL
        Copy A:\PXLBIOS3.NUL A:\PXLBIOS3.DTA   > NUL
	goto mavcont2

:mavcont2
	rem                          *************
	rem                          *** M A V ***
	rem                          *************
	
	Cls
	Echo Initializing MAV ... Please wait ...
	Del A:\PXL*.NUL
	call A:\Mav.bat
:mav

	rem                        *****************
	rem                        *** E R R O R ***
	rem                        *****************
	
:error
	echo.
	echo Le Hardware ne correspond pas ni a une machine a voter
	echo ni a une urne !!
	echo.
	echo Verifier les branchements.
	echo.
	echo.
	echo.
	echo De Hardware komt niet overeen met een stembus, noch
	echo met een stemmachine.
	echo.
	echo Verifieer de aansluitingen.
	echo.
	goto fin

:fin
